/* Slider Styling */

.slider input[type="range"].slider-input {
  position: absolute;
  margin: auto;
  -webkit-appearance: none;
  height: var(--slider-track-height);
  border-radius: var(--slider-track-border-radius);
  width: 100%;
  cursor: pointer;
  background: transparent;
  outline: none;
}

.slider .slider-input-container {
  position: relative;
  height: var(--slider-track-height);
  border-radius: var(--slider-track-border-radius);
  background-color: var(--slider-background);
  width: 100%;
}

.slider .slider-input-container .slider-input-fill {
  height: var(--slider-track-height);
  border-radius: var(--slider-track-border-radius) 0 0 var(--slider-track-border-radius);
  background-color: var(--slider-background-fill);
}

.slider ::-webkit-slider-runnable-track {
  background: transparent;
}

.slider ::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: var(--slider-thumb-size);
  height: var(--slider-thumb-size);
  border-radius: var(--slider-thumb-radius);
  background: var(--slider-thumb-background);
  box-shadow: 0 2px 6px 1px var(--slider-thumb-shadow);
  border-width: 0;
}

.slider ::-moz-range-track {
  height: var(--slider-track-height);
}

.slider ::-moz-range-thumb {
  width: var(--slider-thumb-size);
  height: var(--slider-thumb-size);
  border-radius: var(--slider-thumb-radius);
  background: var(--slider-thumb-background);
  box-shadow: 0 2px 6px 0px var(--slider-thumb-shadow);
  box-sizing: border-box;
  border-width: 0;
}
